
Redmine - Defect #17690

Missing template, responding with 404 context_menu for time_entries ans issues

2014-08-14 11:57 - Egon Zemmer

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.5.2

Description

Redmine 2.5.2.stable (all environments)

Rails 3.2.19

Ruby 1.9.3

Database adapter PostgreSQL

The error raises with right click on issues or time entries. The context menu don't appear. The log writes out: Missing template,

responding with 404.

Here the logs:

Browser log

GET http://localhost:3000/time_entries/context_menu?utf8=%E2%9C%93&authenticity_token=...&back

_url=%2Fprojects%2Ftest%2Fissues%2F1%2Ftime_entries&ids%5B%5D=1" 

GET http://localhost:3000/issues/context_menu?utf8=%E2%9C%93&authenticity_token=...&back_url=%

2Fprojects%2Ftest%2Fissues&ids%5B%5D=1" 

"NetworkError: 404 Not Found 

Console log (time_entries)

Started GET "/time_entries/context_menu?utf8=%E2%9C%93&authenticity_token=...&back_url=%2Fproj

ects%2Ftest%2Fissues%2F1%2Ftime_entries&ids%5B%5D=1" for 127.0.0.1 at 2014-08-14 11:46:13 +020

0

Processing by ContextMenusController#time_entries as */*

  Parameters: {"utf8"=>"✓", "authenticity_token"=>"eHzyMSGfSCC+AxtyGR5q00gMiT6+wIua4p204D+2vas

=", "back_url"=>"/projects/test/issues/1/time_entries", "ids"=>["1"]}

  Setting Load (0.9ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'session

_lifetime' LIMIT 1

  Setting Load (0.8ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'session

_timeout' LIMIT 1

   (0.9ms)  SELECT MAX("settings"."updated_on") AS max_id FROM "settings" 

  User Load (46.5ms)  SELECT "users".* FROM "users" WHERE "users"."type" IN ('User', 'Anonymou

sUser') AND "users"."status" = 1 AND "users"."id" = $1 LIMIT 1  [["id", 1]]

  Current user: admin (id=1)

   (1.2ms)  SELECT MAX("contacts_settings"."updated_on") AS max_id FROM "contacts_settings" 

  Setting Load (0.8ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'plugin_

redmine_cms' LIMIT 1

  Setting Load (0.4ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'force_d

efault_language_for_loggedin' LIMIT 1

  Setting Load (0.6ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'force_d

efault_language_for_anonymous' LIMIT 1

   (1.1ms)  SELECT MAX("cms_menus"."updated_at") AS max_id FROM "cms_menus" 

  TimeEntry Load (1.7ms)  SELECT "time_entries".* FROM "time_entries" WHERE "time_entries"."id

" IN (1)

  Project Load (1.4ms)  SELECT "projects".* FROM "projects" WHERE "projects"."id" IN (1)

  SQL (0.8ms)  SELECT "enabled_modules"."name" FROM "enabled_modules" WHERE "enabled_modules".

"project_id" = 1
   (1.5ms)  SELECT COUNT(*) FROM "enumerations" WHERE "enumerations"."type" IN ('TimeEntryActi

vity') AND "enumerations"."project_id" IS NULL AND "enumerations"."active" = 't'

  TimeEntryActivity Load (1.1ms)  SELECT "enumerations".* FROM "enumerations" WHERE "enumerati

ons"."type" IN ('TimeEntryActivity') AND "enumerations"."project_id" IS NULL AND "enumeratio

ns"."active" = 't' ORDER BY enumerations.position ASC

  Rendered context_menus/time_entries.html.erb (122.6ms)

Missing template, responding with 404

  Rendered common/error.html.erb (0.4ms)

Completed 404 Not Found in 658.5ms (Views: 2.9ms | ActiveRecord: 4.2ms)

Console log (issues)

Started GET "/issues/context_menu?utf8=%E2%9C%93&authenticity_token=...&back_url=%2Fprojects%2

Ftest%2Fissues&ids%5B%5D=1" for 127.0.0.1 a

t 2014-08-14 11:49:43 +0200

Processing by ContextMenusController#issues as */*

  Parameters: {"utf8"=>"✓", "authenticity_token"=>"eHzyMSGfSCC+AxtyGR5q00gMiT6+wIua4p204D+2vas

=", "back_url"=>"/projects/test/issues", "ids"=>["1"]}

   (0.5ms)  SELECT MAX("settings"."updated_on") AS max_id FROM "settings" 

  User Load (0.3ms)  SELECT "users".* FROM "users" WHERE "users"."type" IN ('User', 'Anonymous

User') AND "users"."status" = 1 AND "users"."id" = $1 LIMIT 1  [["id", 1]]

  Current user: admin (id=1)

   (0.3ms)  SELECT MAX("contacts_settings"."updated_on") AS max_id FROM "contacts_settings" 

   (0.3ms)  SELECT MAX("cms_menus"."updated_at") AS max_id FROM "cms_menus" 

  Issue Load (0.4ms)  SELECT "issues".* FROM "issues" WHERE "issues"."id" IN (1)

  Project Load (0.4ms)  SELECT "projects".* FROM "projects" WHERE "projects"."id" IN (1)

  IssueStatus Load (0.3ms)  SELECT "issue_statuses".* FROM "issue_statuses" WHERE "issue_statu

ses"."id" IN (1)

  Tracker Load (0.3ms)  SELECT "trackers".* FROM "trackers" WHERE "trackers"."id" IN (1)

  IssuePriority Load (0.4ms)  SELECT "enumerations".* FROM "enumerations" WHERE "enumerations"

."type" IN ('IssuePriority') AND "enumerations"."id" IN (2) ORDER BY enumerations.position A

SC

  User Load (0.4ms)  SELECT "users".* FROM "users" WHERE "users"."type" IN ('User', 'Anonymous

User') AND "users"."id" IN (1)

  IssueRelation Load (0.3ms)  SELECT "issue_relations".* FROM "issue_relations" WHERE "issue_r

elations"."issue_to_id" IN (1)

  SQL (0.3ms)  SELECT "enabled_modules"."name" FROM "enabled_modules" WHERE "enabled_modules".

"project_id" = 1

  IssueStatus Load (0.3ms)  SELECT "issue_statuses".* FROM "issue_statuses" WHERE "issue_statu

ses"."id" = 1 LIMIT 1

  Role Load (0.3ms)  SELECT "roles".* FROM "roles" 

  WorkflowTransition Load (1.7ms)  SELECT "workflows".* FROM "workflows" WHERE "workflows"."ty

pe" IN ('WorkflowTransition') AND "workflows"."old_status_id" = 1 AND (role_id IN (4,5,1,2,3

) AND tracker_id = 1 AND ((author = 'f' AND assignee = 'f') OR author = 't'))

  IssueStatus Load (0.5ms)  SELECT "issue_statuses".* FROM "issue_statuses" WHERE "issue_statu

ses"."id" IN (2, 3, 4, 5, 6)

  Tracker Exists (1.1ms)  SELECT 1 AS one FROM "trackers" INNER JOIN "projects_trackers" ON "t

rackers"."id" = "projects_trackers"."tracker_id" WHERE "projects_trackers"."project_id" = 1 

AND "trackers"."id" = 1 LIMIT 1

  SQL (3.0ms)  SELECT "members"."id" AS t0_r0, "members"."user_id" AS t0_r1, "members"."projec

t_id" AS t0_r2, "members"."created_on" AS t0_r3, "members"."mail_notification" AS t0_r4, "us

ers"."id" AS t1_r0, "users"."login" AS t1_r1, "users"."hashed_password" AS t1_r2, "users"."fir

stname" AS t1_r3, "users"."lastname" AS t1_r4, "users"."mail" AS t1_r5, "users"."admin" AS t

1_r6, "users"."status" AS t1_r7, "users"."last_login_on" AS t1_r8, "users"."language" AS t1_r9

, "users"."auth_source_id" AS t1_r10, "users"."created_on" AS t1_r11, "users"."updated_on" A

S t1_r12, "users"."type" AS t1_r13, "users"."identity_url" AS t1_r14, "users"."mail_notificati

on" AS t1_r15, "users"."salt" AS t1_r16, "users"."must_change_passwd" AS t1_r17, "users"."ph

one" AS t1_r18, "users"."address" AS t1_r19, "users"."skype" AS t1_r20, "users"."birthday" AS 

t1_r21, "users"."job_title" AS t1_r22, "users"."company" AS t1_r23, "users"."middlename" AS 

t1_r24, "users"."gender" AS t1_r25, "users"."twitter" AS t1_r26, "users"."facebook" AS t1_r27,

 "users"."linkedin" AS t1_r28, "users"."background" AS t1_r29, "users"."appearance_date" AS 

t1_r30, "users"."department_id" AS t1_r31, "roles"."id" AS t2_r0, "roles"."name" AS t2_r1, "ro

les"."position" AS t2_r2, "roles"."assignable" AS t2_r3, "roles"."builtin" AS t2_r4, "roles" 

."permissions" AS t2_r5, "roles"."issues_visibility" AS t2_r6 FROM "members" LEFT OUTER JOIN "

users" ON "users"."id" = "members"."user_id" LEFT OUTER JOIN "member_roles" ON "member_roles
"."member_id" = "members"."id" LEFT OUTER JOIN "roles" ON "roles"."id" = "member_roles"."role_

id" WHERE "members"."project_id" = 1 AND (users.type='User' AND users.status=1)

  IssuePriority Load (0.6ms)  SELECT "enumerations".* FROM "enumerations" WHERE "enumerations"

."type" IN ('IssuePriority') AND "enumerations"."active" = 't' ORDER BY enumerations.positio

n ASC

  IssueCustomField Load (1.2ms)  SELECT "custom_fields".* FROM "custom_fields" WHERE "custom_f

ields"."type" IN ('IssueCustomField') AND (is_for_all = 't' OR id IN (SELECT DISTINCT cfp.cu

stom_field_id FROM custom_fields_projects cfp WHERE cfp.project_id = 1)) ORDER BY custom_field

s.position ASC

  IssueCustomField Load (1.6ms)  SELECT "custom_fields".* FROM "custom_fields" INNER JOIN "cus

tom_fields_trackers" ON "custom_fields"."id" = "custom_fields_trackers"."custom_field_id" WH

ERE "custom_fields"."type" IN ('IssueCustomField') AND "custom_fields_trackers"."tracker_id" =

 1

   (0.8ms)  SELECT COUNT(*) FROM "projects" WHERE (projects.status = 1 AND projects.id IN (SEL

ECT em.project_id FROM enabled_modules em WHERE em.name='issue_tracking'))

  CACHE (0.0ms)  SELECT "issue_statuses".* FROM "issue_statuses" WHERE "issue_statuses"."id" =

 1 LIMIT 1

  CACHE (0.0ms)  SELECT "roles".* FROM "roles" 

  CACHE (0.0ms)  SELECT "workflows".* FROM "workflows" WHERE "workflows"."type" IN ('WorkflowT

ransition') AND "workflows"."old_status_id" = 1 AND (role_id IN (4,5,1,2,3) AND tracker_id =

 1 AND ((author = 'f' AND assignee = 'f') OR author = 't'))

  CACHE (0.0ms)  SELECT "issue_statuses".* FROM "issue_statuses" WHERE "issue_statuses"."id" I

N (2, 3, 4, 5, 6)

  CACHE (0.0ms)  SELECT "roles".* FROM "roles" 

  WorkflowPermission Load (1.2ms)  SELECT "workflows".* FROM "workflows" WHERE "workflows"."ty

pe" IN ('WorkflowPermission') AND "workflows"."tracker_id" = 1 AND "workflows"."old_status_i

d" = 1 AND "workflows"."role_id" IN (4, 5, 1, 2, 3)

  Tracker Load (1.4ms)  SELECT "trackers".* FROM "trackers" INNER JOIN "projects_trackers" ON 

"trackers"."id" = "projects_trackers"."tracker_id" WHERE "projects_trackers"."project_id" = 

1 ORDER BY trackers.position

   (1.8ms)  SELECT COUNT(DISTINCT "versions"."id") FROM "versions" LEFT OUTER JOIN "projects" 

ON "projects"."id" = "versions"."project_id" WHERE "versions"."status" = 'open' AND (project

s.id = 1 OR (projects.status <> 9 AND ( versions.sharing = 'system' OR (projects.lft >= 1 AND 

projects.rgt <= 2 AND versions.sharing = 'tree') OR (projects.lft < 1 AND projects.rgt > 2 A

ND versions.sharing IN ('hierarchy', 'descendants')) OR (projects.lft > 1 AND projects.rgt < 2

 AND versions.sharing = 'hierarchy'))))

   (1.0ms)  SELECT COUNT(*) FROM "issue_categories" WHERE "issue_categories"."project_id" = 1

  Setting Load (0.9ms)  SELECT "settings".* FROM "settings" WHERE "settings"."name" = 'issue_d

one_ratio' LIMIT 1

  Watcher Exists (0.4ms)  SELECT 1 AS one FROM "watchers" WHERE "watchers"."watchable_type" = 

'Issue' AND "watchers"."watchable_id" IN (1) AND "watchers"."user_id" = 1 LIMIT 1

  Rendered context_menus/issues.html.erb (52.2ms)

Missing template, responding with 404

  Rendered common/error.html.erb (0.1ms)

Completed 404 Not Found in 237.8ms (Views: 2.9ms | ActiveRecord: 9.4ms)

History

#1 - 2014-08-14 12:00 - Egon Zemmer

- Status changed from New to Resolved

I have removed all plugins and now works. So, it seams a plugin problem. Sorry for the issue report.

#2 - 2014-08-15 17:43 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

- Resolution set to Invalid
